%{!?dist: %define dist .slc5}
Name: cern-linuxsupport-access
Version: 0.4
Release: 0%{?dist}
Summary: control root access for CERN Linux.Support personnel
Group: Applications/System
Source: %{name}-%{version}.tar.gz
License: GPL
Vendor: CERN
Packager: Linux.Support@cern.ch
URL: http://cern.ch/linux/

BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot
BuildArch: noarch

Requires: mktemp, grep, coreutils, diffutils

%description 
%{name} can be used to enable/disable root access to the
machine by CERN Linux.Support personnel.

%prep
%setup -q

%build

%install
mkdir -p $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{_sbindir}
install -m 755 %{name} $RPM_BUILD_ROOT/%{_sbindir}
mkdir -p $RPM_BUILD_ROOT/%{_datadir}/%{name}
sort authorized_keys > $RPM_BUILD_ROOT/%{_datadir}/%{name}/authorized_keys
sort k5login > $RPM_BUILD_ROOT/%{_datadir}/%{name}/k5login

%clean
rm -rf $RPM_BUILD_ROOT

%files 
%defattr(-,root,root)
%{_sbindir}/%{name}
%{_datadir}/%{name}/authorized_keys
%{_datadir}/%{name}/k5login

%changelog
* Mon Mar 19 2012 Jan van Eldik <Jan.van.Eldik@cern.ch> - 0.4-0
- fix SElinux context for /root/.k5login

* Mon Jan 16 2012 Thomas Oulevey <thomas.oulevey@cern.ch> - 0.3-2
- add Thomas's credentials

* Tue Aug 16 2011 Jan van Eldik <Jan.van.Eldik@cern.ch> - 0.3-1
- remove Peter's credentials

* Thu Jul 14 2010  KELEMEN Peter <Peter.Kelemen@cern.ch> - 0.2-1
- properly clean up temporary files on all error paths

* Thu Jul  8 2010  KELEMEN Peter <Peter.Kelemen@cern.ch> - 0.1-1
- initial release
